##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (GPGswitch)	= PkgName
# sampledir (ksm-gpgswitch)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (gpgswitch)	= config file name (no extension)
# sampledm (gpgswitchd)		= the daemon (rc-script, rc-link, systemd.service)
# sample (gpgswitch)		= all others
##############################################################################

# Specfile for GPGswitch

%define name	ksm-gpgswitch
%define version	2.0.6
%define release	12.0.0
%define _arch	noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _sysddir	/etc/systemd/system
%define _bindir		/usr/local/bin
%define _sbindir	/usr/local/sbin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/man1
%define _man3dir	/usr/local/share/man/man3
%define _man7dir	/usr/local/share/man/man7
%define _man8dir	/usr/local/share/man/man8
%define _docdir		/usr/local/share/doc/packages/%{name}

Summary:	Auto sign/encrypt/decrypt eMails
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Networking/Email/Security
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	samplepkg,samplecapab
Requires:	gpg,postfix,procmail,syslinux,ncat,mailx
#Provides:	sampledm
#Conflicts:	sampledm-other,libsample == 0.0.0
#Obsoletes:	mysampledm

%description
This package contains GPGswitch, a software suite that is able to auto 
sign, verify, encrypt and decrypt eMails. 

Addittional languages are in the package ksm-gpgswitch-lang

If needed start the GPGswitch daemon with 'run-gpgswitchd start'. 

Configuring is best done with gpgswitchconfig. Then you are able to control 
the Keymanager. 

Please check/configure:
 Global config of GPGswitch = /usr/local/etc/gpgswitch.conf

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/gpgswitch.conf
#%config %{_confdir}/gpgswitch.conf
#%config %{_scnfdir}/gpgswitch
%{_confdir}/gpgswitch.conf

%attr(744,root,root)/%{_rcdir}/gpgswitchd

%attr(755,root,root)%{_bindir}/gpgswitch
%attr(700,root,root)%{_bindir}/gpgswitchconfig
%attr(755,root,root)%{_bindir}/makegpgcert
%attr(755,root,root)%{_bindir}/replgpgswvar
%attr(700,root,root)%{_bindir}/togglegpgswitch
%attr(755,root,root)%{_bindir}/update-gpgswitch

%attr(700,root,root)%{_sbindir}/gpgswitchd.sh
%attr(700,root,root)/%{_sbindir}/keymand
%attr(700,root,root)%{_sbindir}/keymand.sh
%attr(700,root,root)%{_sbindir}/run-gpgswitchd

%{_datadir}/RELEASE
%{_datadir}/VERSION
%attr(744,root,root)%{_datadir}/checkproc.sh
%attr(744,root,root)/%{_datadir}/gpgswitchd.service
%{_datadir}/gpgswitchrc.templ
%{_datadir}/halt.rule
%attr(744,root,root)%{_datadir}/killproc.sh
%{_datadir}/libfuncstd-sh
%{_datadir}/procmail.rule
%attr(744,root,root)%{_datadir}/startproc.sh
%{_datadir}/sudo.rule

%{_datadir}/lang/gpgswitch.en
%{_datadir}/lang/gpgswitchconfig.en
%{_datadir}/lang/gpgswitchd.sh.en
%{_datadir}/lang/keymand.sh.en
%{_datadir}/lang/makegpgcert.en
%{_datadir}/lang/replgpgswvar.en
%{_datadir}/lang/togglegpgswitch.en
%{_datadir}/lang/update-gpgswitch.en
%{_datadir}/lang/run-gpgswitchd.en
%{_datadir}/lang/run-keymand.en

/usr/share/applications/keyman-start.desktop
/usr/share/applications/keyman-stop.desktop
#%{_icondir}/16x16/apps/gpgswitch.png
#%{_icondir}/22x22/apps/gpgswitch.png
#%{_icondir}/32x32/apps/gpgswitch.png
#%{_icondir}/48x48/apps/gpgswitch.png
#%{_icondir}/64x64/apps/gpgswitch.png
#%{_icondir}/128x128/apps/gpgswitch.png
#/usr/share/pixmaps/gpgswitch.png

%docdir %{_man1dir}
%{_man1dir}/gpgswitch.1.gz
%{_man1dir}/makegpgcert.1.gz
%{_man1dir}/replgpgswvar.1.gz
%{_man1dir}/update-gpgswitch.1.gz

%docdir %{_man8dir}
%{_man8dir}/gpgswitchconfig.8.gz
%{_man8dir}/gpgswitchd.sh.8.gz
%{_man8dir}/togglegpgswitch.8.gz
%{_man8dir}/keymand.sh.8.gz
%{_man8dir}/run-gpgswitchd.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
test -e %{_confdir}/gpgswitch.conf && cp %{_confdir}/gpgswitch.conf %{_confdir}/gpgswitch.conf.rpmsave
#test -e %{_scnfdir}/gpgswitch.conf && cp %{_scnfdir}/gpgswitch.conf %{_scnfdir}/gpgswitch.conf.rpmsave

# disable gpgswitch daemon and stop gpgswitchd
test -x %{_bindir}/togglegpgswitch && %{_bindir}/togglegpgswitch -d -q > /dev/null 2>&1

# rm links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog
#rm -f %{_libdir}/libfuncstd-sh

# uninstall desktop files
xdg-desktop-menu uninstall --novendor \
	/usr/share/applications/keyman-start.desktop \
	/usr/share/applications/keyman-stop.desktop

# INIT SCRIPT/SYSTEMD UNIT - uninstall gpgswitchd
if [ -d %{_sysddir} ]; then				# systemd
	if [ -e %{_sysddir}/gpgswitchd.service ]; then
		systemctl stop gpgswitchd.service
		systemctl disable gpgswitchd.service
		rm %{_sysddir}/gpgswitchd.service
		systemctl daemon-reload
	fi
else							# SysV init
	test -x %{_rcdir}/gpgswitchd && %{_rcdir}/gpgswitchd stop > /dev/null 2>&1
	insserv -r gpgswitchd > /dev/null 2>&1
	#rm -f %{_rcdir}/gpgswitchd
	rm -f %{_sbindir}/rcgpgswitchd
fi

if [ "$1" == 1 ]; then					# install package
	mkdir -p /var/lib/gpgswitch
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname. config file needs a version at first cnfvar!
cf=%{_confdir}/gpgswitch.conf
cnfvars=$(grep -v '^#' $cf | grep '[[:alnum:]]' | grep -v '\[' | cut -sd '=' -f1)
cnfvars=$(echo $cnfvars | cut -d ' ' -f2-)
ret=0
c='' s='' t=''
#cnt=0 i=0

#rcfile='' updcmd='' u='' usr=''

# enable gpgswitch
#test -x %{_bindir}/togglegpgswitch && %{_bindir}/togglegpgswitch -e -q > /dev/null 2>&1

# set links
ln -sf /usr/bin/ncat %{_bindir}/gpgswitchdcat
#ln -sf %{_libdir}/libfuncstd-sh-%{version} %{_libdir}/libfuncstd-sh

# install desktop files
xdg-desktop-menu install --novendor \
	/usr/share/applications/keyman-start.desktop \
	/usr/share/applications/keyman-stop.desktop

# INIT SCRIPT/SYSTEMD UNIT - install gpgswitchd
if [ -d %{_sysddir} ]; then				# systemd
	cp --preserve=mode %{_datadir}/gpgswitchd.service %{_sysddir}/
	systemctl daemon-reload
	#systemctl enable gpgswitchd.service
	#echo "gpgswitchd is added to the bootprocess and will auto start at next boot."
	echo "Now configure $cf"
	echo "You may start gpgswitchd within yast or manual with:"
	echo "systemctl enable gpgswitchd.service"
	echo "systemctl start gpgswitchd.service"
else							# SysV init
	#cp --preserve=mode %{_datadir}/gpgswitchd.rc %{_rcdir}/gpgswitchd
	ln -sf %{_rcdir}/gpgswitchd %{_sbindir}/rcgpgswitchd
	#insserv gpgswitchd > /dev/null 2>&1
	#echo "gpgswitchd is added to the bootprocess and will auto start at next boot."
	#echo "Now configure $cf"
	echo "If wanted then enable the service gpgswitchd within yast and start it."
fi

# install/update all users rc files
updcmd='' usr='' u=''
updcmd="%{_bindir}/update-gpgswitch -q"
# for all usr below /home/ do:
usr=$(/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1)
for u in $usr; do
	if [ -e /home/${u}/.gpgswitchrc ]; then	# if exist rc file
		/bin/su $u -c "$updcmd"
	fi
done
#echo "Package ksm-gpgswitch: All users rc files have been updated"
echo "Package ksm-gpgswitch: All existing users rc files have been updated"

if [ "$1" == 1 ]; then					# install package
	echo "Configure $cf"
	echo "Users must create HOME/.gpgswitchrc with update-gpgswitch"
else							# upgrade package
	# update global conf
	if [ -e $cf.rpmsave ]; then
		#cp $cf $cf.rpmnew
		. $cf
		. $cf.rpmsave

		# update conf vars START -------------------------------------
		if [ -x %{_bindir}/replcnfvar ]; then
			for c in $cnfvars; do
				t="\$$c"
				eval s="$t"
				s=\"$s\"
				%{_bindir}/replcnfvar $cf $c "$s"
			done
		else
			echo "Error - cmd replcnfvar not found or not executable!" >&2
			echo "Conf file not updated!" >&2
		fi
		# update conf vars STOP --------------------------------------

#		# update array vars START ------------------------------------
#		# array var MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#		# update array vars STOP -------------------------------------

		# compare new conf vars <--> old conf vars
		diff $cf $cf.rpmsave > /dev/null 2>&1
		ret=$?
		if [ "$ret" -eq 0 ]; then
			rm $cf.rpmsave
		else
			echo "Check $cf"
		fi
	fi

#	# update all users conf START ----------------------------------------
#	rcfile='.gpgswitchrc'
#	updcmd="%{_bindir}/update-gpgswitch -q"
#	usr=`/usr/bin/grep /home/ /etc/passwd | /usr/bin/cut -d : -f 1`
#	for u in "$usr"; do
#		if [ -e /home/$u/$rcfile ]; then
#			/bin/su $u -c "$updcmd"
#		fi
#	done
#	if [ -e /root/$rcfile ]; then
#		$updcmd
#	fi
#	# update all users conf STOP -----------------------------------------

	# give config hint
	echo "If new version then users must update HOME/.gpgswitchrc with update-gpgswitch"
fi

# give config hint
if [ ! -e %{_confdir}/gpguser.conf ] || [ ! -e %{_confdir}/gpgkeys.asc ]; then
	echo "Configure GPGswitch with gpgswitchconfig"
fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

tempfile=/tmp/ksm-gpgswitch.preun
lb=''							# line begin
le=''							# line end
i=0

if [ "$1" == 0 ]; then					# remove package
	# backup config files
	test -e %{_confdir}/gpgswitch.conf && cp %{_confdir}/gpgswitch.conf %{_confdir}/gpgswitch.conf.rpmsave
	#test -e %{_scnfdir}/gpgswitch.conf && cp %{_scnfdir}/gpgswitch.conf %{_scnfdir}/gpgswitch.conf.rpmsave

	# disable gpgswitch daemon and stop gpgswitchd
	#test -x %{_bindir}/togglegpgswitch && %{_bindir}/togglegpgswitch -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/gpgswitchd && %{_rcdir}/gpgswitchd stop -q > /dev/null 2>&1

	# rm links
	test -e %{_bindir}/gpgswitchdcat && rm -f %{_bindir}/gpgswitchdcat
	#rm -f %{_libdir}/libfuncstd-sh

	# del rule from procmailrc
	if /usr/bin/grep -q '^# GPGswitch START' /etc/procmailrc; then
		# get start line
		lb=$(/usr/bin/grep -n -m 1 '^# GPGswitch START' /etc/procmailrc)
		lb=${lb%%:*}

		# get end line
		le=$(/usr/bin/grep -n -m 1 '^# GPGswitch STOP' /etc/procmailrc)
		le=${le%%:*}

		# del from start till end
		cp /dev/null $tempfile
		i=0
		while read -rs; do
			let ++i
			if [ "$i" -lt $lb ] || [ "$i" -gt $le ]; then
				echo "$REPLY" >> $tempfile
			fi
		done < /etc/procmailrc
		cp $tempfile /etc/procmailrc
		rm -f $tempfile
	fi

	# remove entries from file halt.local
	f=/etc/init.d/halt.local			# pathname of file
	#ft=halt.local					# template in datadir
	t=/tmp/halt.local				# tempfile
	s=ksm-gpgswitch					# flag for entries
	if [ -e $f ]; then
		grep -q $s $f
		ret=$?
		if [ $ret -eq 0 ]; then
			cat $f | grep -v $s > $t
			cp $t $f
			rm -f $t
		fi
	#else
	#	cp %{_datadir}/$ft $f
	fi

	# del sudoers.d/gpgswitch-rule
	if [ -e /etc/sudoers.d/gpgswitch-rule ]; then
		rm /etc/sudoers.d/gpgswitch-rule
	fi

	# uninstall desktop files
	xdg-desktop-menu uninstall --novendor \
		/usr/share/applications/keyman-start.desktop \
		/usr/share/applications/keyman-stop.desktop

	# INIT SCRIPT/SYSTEMD UNIT - uninstall gpgswitchd
	if [ -d %{_sysddir} ]; then			# systemd
		if [ -e %{_sysddir}/gpgswitchd.service ]; then
			systemctl stop gpgswitchd.service
			systemctl disable gpgswitchd.service
			rm %{_sysddir}/gpgswitchd.service
			systemctl daemon-reload
		fi
	else						# SysV init
		test -x %{_rcdir}/gpgswitchd && %{_rcdir}/gpgswitchd stop > /dev/null 2>&1
		insserv -r gpgswitchd > /dev/null 2>&1
		#rm -f %{_rcdir}/gpgswitchd
		rm -f %{_sbindir}/rcgpgswitchd
	fi
#else							# upgrade package
fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	rmdir --ignore-fail-on-non-empty /var/lib/gpgswitch
#else							# upgrade package
fi
exit 0

%changelog
* Thu May 11 2023 Repomaster <repomaster@kaesmann-online.de> 2.0.6-12.0.0
- 'update-gpgswitch' has been revised/improved.

* Sun Feb 06 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.6-11.1.0
- The package has been revised/improved
  (fixed errmsgs).

* Fri Jan 07 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.6-11.0.0
- Update to the libfuncstd-sh 4.0.0

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-10.0.0
- The package has been revised/improved.

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-9.0.0
- The package has been revised/improved.

* Wed May 06 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-8.0.0
- The package has been revised/improved.

* Mon May 04 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-7.0.0
- The package has been revised/improved
  (fixed an error in the libfuncstd-sh).

* Wed Apr 29 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-6.0.0
- The package has been revised/improved
  (support for SystemV-init is removed).

* Tue Jan 28 2020 Repomaster <repomaster@kaesmann-online.de> 2.0.6-5.0.0
- The keymanager is not longer a Boot Script.
  Instead it is a normal root executable (keymand).

* Fri Apr 20 2018 Repomaster <repomaster@kaesmann-online.de> 2.0.6-4.1.0
- Fixed waiting for ever on input Key of KeyAdmin.
  Now we have a timeout after waiting 30 seconds.

* Thu Apr 19 2018 Repomaster <repomaster@kaesmann-online.de> 2.0.6-4.0.0
- Now the package has support for systemd.

* Sat Feb 11 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.2.0
- Following scripts have been revised/improved:
  /etc/init.d/keymand
  /etc/init.d/gpgswitchd
  checkproc.sh
  killproc.sh
  startproc.sh

* Thu Feb 09 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.1.0
- The scripts /etc/init.d/keymand and
  /usr/local/bin/keymand have been revised
  (using startproc.sh and killproc.sh).

* Thu Feb 09 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-3.0.0
- Removed the script keymandstart. Now
  /etc/init.de/keymand contains the functionality.

* Fri Feb 03 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.5.0
- The script gpgswitchconfig has been revised
  (added support for procmailrc).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.4.0
- The script gpgswitchconfig has been revised
  (improve support for gpgswitch.conf).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.3.0
- The script gpgswitchconfig has been revised
  (added support for halt.local).

* Thu Feb 02 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.2.0
- The script gpgswitchconfig has been revised.

* Wed Feb 01 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.1.0
- The script gpgswitchconfig and the
  docu of the package has been revised.

* Tue Jan 31 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-2.0.0
- Added the script gpgswitchconfig.

* Mon Jan 30 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.5.0
- All scripts have been revised
  (using function GetOpt).

* Sat Jan 28 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.4.0
- The script gpgswitch has been revised.

* Sat Jan 28 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.3.0
- All scripts have been revised.

* Mon Jan 16 2017 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.2.0
- All scripts have been revised.

* Mon Nov 07 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.1.0
- The script gpgswitch has been revised.

* Sat Apr 09 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-1.0.0
- The package has been revised
  (deleted keymand-userstart and the desktop file
  keyman-start.desktop).

* Fri Apr 08 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.6-0.0.0
- The package has been revised
  (deleted keymand-userstop).

* Mon Jan 25 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-1.1.0
- The package has been revised (mail to root and
  exit if errors occur with multi language support).

* Mon Jan 25 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-1.0.0
- Added the script replgpgswvar.

* Sun Jan 24 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.5-0.0.0
- Now the package is independent from libfuncstd-sh

* Sun Jan 24 2016 Repomaster <repomaster@kaesmann-online.de> 2.0.4-0.0.0
- Added support for multi language.

* Sun Nov 15 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.3-0.1.0
- The script gpgswitchd has been revised.
- The RPM scriptlets have been revised.

* Tue Jun 30 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.3-0.0.0
- The config file has changed.
- Following scripts have been revised:
  keymand, keymandstart

* Fri May 08 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.6.0
- The script keymand has been revised
  (missing keyring).

* Sun Feb 22 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.5.0
- Following scripts have been revised:
  gpgswitch, keymand

* Sat Feb 21 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.4.1
- The docu has been revised.

* Fri Feb 20 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.4.0
- Following scripts have been revised:
  gpgswitch, keymand, RC-Script keymand

* Wed Feb 18 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.3.0
- Following scripts have been revised:
  gpgswitch, keymand, RC-Script keymand

* Mon Feb 16 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.2.0
- Changed default runlevel from 3 5 to 3

* Sun Feb 15 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.1.0
- Following scripts have been revised.
  keymand, gpgswitch, RC-Script keymand

* Sat Feb 14 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-1.0.0
- Added following scripts:
  keymand-userstart, keymand-userstop, makegpgcert
- The scripts keymand and gpgswitch have been revised
  (now we use certificates for authentication).

* Tue Feb 10 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-0.1.0
- The scripts keymand and gpgswitch have been revised
  (the keymanager has been improved).

* Sun Feb 08 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.2-0.0.0
- The config file has changed.
- The script gpgswitch has been revised.

* Sat Feb 07 2015 Repomaster <repomaster@kaesmann-online.de> 2.0.1-0.0.0
- Added scripts keyman and keymanstart .
- Added key file gpgkeys.asc
- Each user should rm his ~/.gpgkey
- The script gpgswitch has been revised
  (now using the keymanager).

* Tue Oct 14 2014 Repomaster <repomaster@kaesmann-online.de> 2.0.0-0.3.1
- The docu of the package has been revised.

* Wed Apr 03 2013 Juergen Kaesmann <juergen@kaesmann.us> 2.0.0-0.3.0
- The script togglegpgswitch has been revised.

* Tue Oct 23 2012 Juergen Kaesmann <juergen@kaesman.de> 2.0.0-0.2.1
- The docu has been revised.

* Tue Oct 23 2012 Juergen Kaesmann <juergen@kaesman.de> 2.0.0-0.2.0
- The GPGswitch daemon has been revised (multiple recipients).

* Mon Oct 22 2012 Juergen Kaesmann <juergen@kaesman.de> 2.0.0-0.1.0
- The package has been revised.

* Sun Oct 21 2012 Juergen Kaesmann <juergen@kaesman.de> 2.0.0-0.0.0
- Introducing the GPGswitch daemon and the config file
  /usr/local/etc/gpgswitch.conf
- Removed following scripts: gpgsu, gpgwrap
  sudo is not required anymore.
- Now the postfix config will not be touched in any way.

* Wed Oct 17 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.2.0
- Corrected an error in gpgwrap.

* Tue Oct 16 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.1.0
- The package has been revised.

* Mon Oct 15 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.0.1
- The RPM Requires has been revised.

* Mon Oct 15 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.2-0.0.0
- The config variables have changed to upper/lower chars.
- The RPM scriptlets have been revised.
- The docu has been revised.

* Mon Oct 15 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.8.0
- The script update-gpgswitch has been revised.

* Wed Oct 10 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.7.0
- Corrected an error in gpgwrap.

* Sat Oct 06 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.6.0
- The RPM scriptlets have been revised.

* Fri Oct 05 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.5.0
- The RPM scriptlets have been revised.
- The Docu has been revised.

* Wed Oct 03 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.4.1
- The Docu has been revised. Now we have the english README
  and the german README.de. The ChangeLog is only english.

* Tue Sep 25 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.4.0
- The package has been revised.

* Fri Apr 20 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.3.0
- The RPM scriptlets are revised.

* Mon Apr 02 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.2.0
- The release naming scheme has changed ('.ksm' is removed).

* Sat Feb 18 2012 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.2.0.ksm
- The RPM scriptlets are revised (auto add user filter).

* Mon Jan 03 2011 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.4.ksm
- The package name has changed to avoid conflicts with the openSUSE
  distribution. It has been prepended with 'ksm-'.

* Wed Jun 09 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.3.ksm
- The package is revised.

* Tue Feb 02 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.2.ksm
- Read version and dependency infos from external files.

* Wed Jan 27 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.1.ksm
- The docu has changed.

* Sat Jan 23 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.1.0.ksm
- The script update-gpgswitch has corrected.

* Fri Jan 15 2010 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.0.2.ksm
- The package name (Release) has changed.

* Thu Nov 19 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.ksm.0.1
- The RPM scriptlets are corrected.

* Mon Nov 09 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.1-0.ksm.0.0
- Adaption to the Lib-SH-1.0.1

* Mon Oct 26 2009 Juergen Kaesmann <juergen@kaesman.de> 1.0.0
- The package management has changed to RPM.
